Partial Class SlideShowExtender
    Inherits System.Web.UI.Page

    <System.Web.Services.WebMethodAttribute()> _
    <System.Web.Script.Services.ScriptMethodAttribute()> _
    Public Shared Function GetSlides(ByVal contextKey As System.String) _
      As AjaxControlToolkit.Slide()

        Return New AjaxControlToolkit.Slide() { _
           New AjaxControlToolkit.Slide("Images/Creek.jpg", _
              "Strumień", "To jest zdjęcie strumienia."), _
           New AjaxControlToolkit.Slide("Images/Dock.jpg", _
              "Dok", "To jest zdjęcie doku."), _
           New AjaxControlToolkit.Slide("Images/Garden.jpg", _
              "Ogród", "To jest zdjęcie ogrodu.")}
    End Function
End Class
